Summary: GNU Binary Utility Development Utilities
Name: binutils
%define version 2.9.1
Version: %{version}
Release: 1
Copyright: GPL
Group: Development/Tools
Source: ftp://ftp.yggdrasil.com/private/hjl/binutils-%{version}.tar.gz
Patch0: binutils-%{version}-sparc.patch
BuildRoot: /var/tmp/binutils-root

%description
binutils is a collection of utilities necessary for compiling programs. It
includes the assembler and linker, as well as a number of other
miscellaneous programs for dealing with executable formats.

%prep
%setup -q -n binutils-%{version}
%ifarch sparc
%patch0 -p1 -b .sparc
%endif

%build
./configure --prefix=/usr --enable-shared
make tooldir=/usr
make tooldir=/usr info

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
make tooldir=$RPM_BUILD_ROOT/usr prefix=$RPM_BUILD_ROOT/usr install install-info

# WTFO? libtool scripts installed, not execs! Do it the hard way ...
install -c -s ld/.libs/ld-new		$RPM_BUILD_ROOT/usr/bin/ld
install -c -s gas/.libs/as-new		$RPM_BUILD_ROOT/usr/bin/as
install -c -s binutils/.libs/strip-new	$RPM_BUILD_ROOT/usr/bin/strip
install -c -s binutils/.libs/nm-new	$RPM_BUILD_ROOT/usr/bin/nm
install -c -s binutils/.libs/ranlib	$RPM_BUILD_ROOT/usr/bin/ranlib
install -c -s binutils/.libs/ar		$RPM_BUILD_ROOT/usr/bin/ar

#strip $RPM_BUILD_ROOT/usr/bin/*
gzip -q9f $RPM_BUILD_ROOT/usr/info/*.info*

# Get rid of that arch-specific directory
rm -rf $RPM_BUILD_ROOT/usr/lib/bin

install -m 644 libiberty/libiberty.a $RPM_BUILD_ROOT/usr/lib
install -m 644 include/libiberty.h $RPM_BUILD_ROOT/usr/include

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc README
/usr/bin/*
/usr/man/man1/*
/usr/include/*
/usr/lib/*
/usr/info*

%changelog

* Sun May  3 1998 C. Scott Ananian <cananian@alumni.princeton.edu>

- Updated to 2.9.1.

* Mon Feb  2 1998 Jeff Johnson <jbj@jbj.org>

- Create.
